Let us know!
CodoForum : how to know when upgrade done ?

Upgrading to 4.9.4 using the built-in facility
Left it 10 mins on almost empty test forum
Only seems to get as far as :


3.0> File upgrade process initiating...
3.1> Files seem writable smile
started DU>Unpacking contents

Unpacking contents Completed.
Ungrading schema

Upgrading Schema Completed.


Upgrading to 4.9.4 using the built-in facility Left it 10 mins on almost empty test forum Only seems to get as far as : --- 3.0> File upgrade process initiating... 3.1> Files seem writable :) started DU>Unpacking contents >Unpacking contents Completed. >Ungrading schema > Upgrading Schema Completed. ---
edited May 18 at 10:23 pm

Are there instructions somewhere for a manual upgrade ?
The documentation only covers auto-upgrade.

Are there instructions somewhere for a manual upgrade ? The documentation only covers auto-upgrade.

The upgrade process should be look like (it differs a little from upgrade to upgrade):

5ec31fdd23fd5

If it says: "upgrade shema completed" then You are finish and You can now clear the cache.

Kind regards, Andy

The upgrade process should be look like (it differs a little from upgrade to upgrade): ![5ec31fdd23fd5](serve/attachment&path=5ec31fdd23fd5) If it says: "upgrade shema completed" then You are finish and You can now clear the cache. Kind regards, Andy

45 years old and still not smarter lol

Check my GitHub Repos: https://github.com/WebCrew

My CrazyMates Account: https://crazymates.de/Crazymate

Cute but Evil Community: https://cute-but-evil.de

Thanks, Andy
Very helpful confirmation.
I ran the upgrade
Cleared the cache.
Logged out and in
Dashboard is still reporting that V4.9.4 upgrade needs to be run.
Am I missing a step ?

Thanks, Andy Very helpful confirmation. I ran the upgrade Cleared the cache. Logged out and in Dashboard is still reporting that V4.9.4 upgrade needs to be run. Am I missing a step ?

Do You get any JavaScript or other error report if You mnake use of your browsers developer tools?

Chrome users:

Right click on the page and use "Inspect" option.
Or press Command+Option+C (Mac) or Control+Shift+C (Windows, Linux, Chrome OS).

Opera users:

Choose "configure shortcuts" --> and then find "Developer Tools Console". If you scroll on the Developer Tools' row, you will see 'Type a shortcut' bar. Click that and press F12. And you can call "Developer Tools" with F12.

FireFox users:

Click on the Firefox Menu in the upper-right-hand corner of the browser and select Web Developer > Browser Console. You can also use the shortcut Shift + ⌘ + J (on macOS) or Shift + CTRL + J (on Windows/Linux).

If the console is open look for error messages and let us know the result please.

Another reason for your problem could be that you are using an "AdsBlocker". These AdsBlocker often cause errors when executing scripts - please check that and switch off the AdsBlocker at your forum.

Please also check whether you meet all the requirements for Codoforum needs - you can find them in the installation instructions / documentation.

Kind regards, Andy

Do You get any JavaScript or other error report if You mnake use of your browsers developer tools? **Chrome** users: Right click on the page and use "Inspect" option. Or press Command+Option+C (Mac) or Control+Shift+C (Windows, Linux, Chrome OS). **Opera** users: Choose "configure shortcuts" --> and then find "Developer Tools Console". If you scroll on the Developer Tools' row, you will see 'Type a shortcut' bar. Click that and press F12. And you can call "Developer Tools" with F12. **FireFox** users: Click on the Firefox Menu in the upper-right-hand corner of the browser and select Web Developer > Browser Console. You can also use the shortcut Shift + ⌘ + J (on macOS) or Shift + CTRL + J (on Windows/Linux). If the console is open look for error messages and let us know the result please. Another reason for your problem could be that you are using an "AdsBlocker". These AdsBlocker often cause errors when executing scripts - please check that and switch off the AdsBlocker at your forum. Please also check whether you meet all the requirements for Codoforum needs - you can find them in the installation instructions / documentation. Kind regards, Andy

45 years old and still not smarter lol

Check my GitHub Repos: https://github.com/WebCrew

My CrazyMates Account: https://crazymates.de/Crazymate

Cute but Evil Community: https://cute-but-evil.de

Tried on Chrome w/o ad blocker
I get this from console :
jquery-2.1.1.min.js:3 [Violation] Added non-passive event listener to a scroll-blocking 'touchstart' event. Consider marking event handler as 'passive' to make the page more responsive. See https://www.chromestatus.com/feature/5745543795965952
add @ jquery-2.1.1.min.js:3
(anonymous) @ jquery-2.1.1.min.js:3
each @ jquery-2.1.1.min.js:2
each @ jquery-2.1.1.min.js:2
on @ jquery-2.1.1.min.js:3
bind @ jquery-2.1.1.min.js:4
(anonymous) @ app.js:35
j @ jquery-2.1.1.min.js:2
fireWith @ jquery-2.1.1.min.js:2
ready @ jquery-2.1.1.min.js:2
I @ jquery-2.1.1.min.js:2
DevTools failed to load SourceMap: Could not load content for http://forum2.mytimeparty.uk/admin/css/bootstrap.min.css.map: HTTP error: status code 404, net::ERR_HTTP_RESPONSE_CODE_FAILURE

I have not yet added HTTPS as the sub-domain is temporary

I believe all server requirements are met

Tried on Chrome w/o ad blocker I get this from console : jquery-2.1.1.min.js:3 [Violation] Added non-passive event listener to a scroll-blocking 'touchstart' event. Consider marking event handler as 'passive' to make the page more responsive. See https://www.chromestatus.com/feature/5745543795965952 add @ jquery-2.1.1.min.js:3 (anonymous) @ jquery-2.1.1.min.js:3 each @ jquery-2.1.1.min.js:2 each @ jquery-2.1.1.min.js:2 on @ jquery-2.1.1.min.js:3 bind @ jquery-2.1.1.min.js:4 (anonymous) @ app.js:35 j @ jquery-2.1.1.min.js:2 fireWith @ jquery-2.1.1.min.js:2 ready @ jquery-2.1.1.min.js:2 I @ jquery-2.1.1.min.js:2 DevTools failed to load SourceMap: Could not load content for http://forum2.mytimeparty.uk/admin/css/bootstrap.min.css.map: HTTP error: status code 404, net::ERR_HTTP_RESPONSE_CODE_FAILURE I have not yet added HTTPS as the sub-domain is temporary I believe all server requirements are met
# System Requirements
Codoforum requires PHP 5.4+ and a modern version of MySQL.

The PHP gd extension is required to support avatar uploading.

Codoforum has only been tested on Apache, nginx and lighttpd. 
If you encounter a problem specific to any other web server, please create a topic.

Running :-
PHP 7.2.24-0ubuntu0.18.04.4
mysql Ver 14.14 Distrib 5.7.30
current version of Apache

# System Requirements Codoforum requires PHP 5.4+ and a modern version of MySQL. The PHP gd extension is required to support avatar uploading. Codoforum has only been tested on Apache, nginx and lighttpd. If you encounter a problem specific to any other web server, please create a topic. Running :- PHP 7.2.24-0ubuntu0.18.04.4 mysql Ver 14.14 Distrib 5.7.30 current version of Apache

The error message about source map and the jQuery responsive thing is a little bug but it is not the bad guy because of Your update issue.

I think You have a problem with SSL (http/https requests) and some sources cant be loaded.

Here You can get a free SSL smile ( I use it too its awesome):
https://letsencrypt.org/

Also please check if You setup the subfolder as mentioned here:
https://codoforum.com/documentation/configuration

Because I am not quite sure whether I have correctly identified your problem (I am not a professional as specialy with PHP related issues), I will also ask the Codologic @admin for help. Your problem should then be solved soon smile

Thank you for your patience.

Kind regards,

Andy

The error message about source map and the jQuery responsive thing is a little bug but it is not the bad guy because of Your update issue. I think You have a problem with SSL (http/https requests) and some sources cant be loaded. Here You can get** a free SSL** :) ( I use it too its awesome): https://letsencrypt.org/ Also please check if You setup the subfolder as mentioned here: https://codoforum.com/documentation/configuration Because I am not quite sure whether I have correctly identified your problem (I am not a professional as specialy with PHP related issues), I will also ask the Codologic @admin for help. Your problem should then be solved soon :) Thank you for your patience. Kind regards, Andy

45 years old and still not smarter lol

Check my GitHub Repos: https://github.com/WebCrew

My CrazyMates Account: https://crazymates.de/Crazymate

Cute but Evil Community: https://cute-but-evil.de

Thanks Andy
I don't have HTTPS installed yet because it is a temporary sub-domain, and I was hoping to make it live on a permanent url first.
But I will bite the bullet and see if it changes anything.

Thanks Andy I don't have HTTPS installed yet because it is a temporary sub-domain, and I was hoping to make it live on a permanent url first. But I will bite the bullet and see if it changes anything.
edited 4 days ago at 9:55 am

Installed HTTPS with letsencrypt

Checked there is .htaccess file with contents for Apache from https://codoforum.com/documentation/configuration

Config files sites/default/constants.php and sites/default/config.php exist.
They seem ok but not 100% what I'm checking for.

Site performs fine, no other issues than message the upgrade to 4.9.4 is needed
Even after getting message that "Upgrading Schema Completed." and clearing cache.

Oh, and removed could not load sourcemap files.

Installed HTTPS with letsencrypt Checked there is .htaccess file with contents for Apache from https://codoforum.com/documentation/configuration Config files sites/default/constants.php and sites/default/config.php exist. They seem ok but not 100% what I'm checking for. Site performs fine, no other issues than message the upgrade to 4.9.4 is needed Even after getting message that "Upgrading Schema Completed." and clearing cache. Oh, and removed could not load sourcemap files.
edited 4 days ago at 10:33 am

You can try doing a manual upgrade:

Open: http://your_forum_url.com/admin/index.php?page=manual_upgrade

Click upgrade, it will run the latest SQL scripts against your database.

It also shows your current installed forum version, make sure it is not less than 4.9.3, if it is do not run the upgrade.

You can try doing a manual upgrade: Open: http://your_forum_url.com/admin/index.php?page=manual_upgrade Click upgrade, it will run the latest SQL scripts against your database. It also shows your current installed forum version, make sure it is not less than 4.9.3, if it is do not run the upgrade.
Necessity is the mother of all inventions!
edited 4 days ago at 10:45 am

Thanks @admin

No difference :
Page states current version : 4.9.3.2159
Pressing upgrade shows progress bar moves along top of page
Clear cache but dashboard still reports upgrade needed to 4.9.4

No errors in Firefox browser console except :
Blocked loading mixed active content "http://todo.codologic.com/todo/php/todo.php". (presumably irrelevant to current issue)

One warning :
The script from “https://codoforum.com/latest_version?showVersion=jQuery21104572542907874547_1590573170745&_=1590573170746” was loaded even though its MIME type (“text/html”) is not a valid JavaScript MIME type
Also presumably not relevant

This is a concept site so I could download V4.9.4 and overwrite installation
But would prefer some guidance on what should be preserved from current installation - just config.php ?

Thanks @admin No difference : Page states current version : 4.9.3.2159 Pressing upgrade shows progress bar moves along top of page Clear cache but dashboard still reports upgrade needed to 4.9.4 No errors in Firefox browser console except : Blocked loading mixed active content "http://todo.codologic.com/todo/php/todo.php". (presumably irrelevant to current issue) One warning : The script from “https://codoforum.com/latest_version?showVersion=jQuery21104572542907874547_1590573170745&_=1590573170746” was loaded even though its MIME type (“text/html”) is not a valid JavaScript MIME type Also presumably not relevant This is a concept site so I could download V4.9.4 and overwrite installation But would prefer some guidance on what should be preserved from current installation - just config.php ?

Hi,

If you have not made any changes then yes you can just replace all the files except config.php and constants.php (Better to keep a backup)
But you will still have to run the manual upgrade from here: http://your_forum_url.com/admin/index.php?page=manual_upgrade

Hi, If you have not made any changes then yes you can just replace all the files except config.php and constants.php (Better to keep a backup) But you will still have to run the manual upgrade from here: http://your_forum_url.com/admin/index.php?page=manual_upgrade
Necessity is the mother of all inventions!
80
12
3
live preview
enter atleast 10 characters
WARNING: You mentioned %MENTIONS%, but they cannot see this message and will not be notified
Saving...
Saved
With selected deselect posts show selected posts
All posts under this topic will be deleted ?
Pending draft ... Click to resume editing
Discard draft